Multivariate Pattern Analysis in Python

*****************-**** Man page for `prep-fmri` *****************-****

## NAME

pymvpa2-prep-fmri - preprocess fMRI data for PyMVPA

## SYNOPSIS

pymvpa2-prep-fmri [,OPTIONS/] ,<fmri-data>/

## DESCRIPTION

Tiny tool to prepare a directory for a typical analysis of fMRI data with PyMVPA. Tools from the FSL suite will be used for preprocessing. It takes a 4D fMRI timeseries as input and performs the following steps:

- extract an example volume

- perform motion correction using the example volume as reference

- conservative skull-stripping and brain mask generation

- masking of the motion-corrected timeseries with the brain mask

All results will be stored either in the current directory, or in a subdirectory with the subject ID (if specified).

## OPTIONS

--version
  show program's version number and exit
-v VERBOSE, --verbose=,VERBOSE/, --verbosity=,VERBOSE/
  Verbosity level of output [Default: 0]
-h, --help, --sos
  Show this help message and exit
-s SUBJ, --subject-id=,SUBJ/
  Subject ID used as output path
-e EXFUNC, --example-func-vol=,EXFUNC/
  Volume (numeric ID or 'last', 'first', 'middle') to be used as an example functional image. Default: 10
-m MCFLIRT_OPTS, --mcflirt-options=,MCFLIRT_OPTS/
  Options for MCFLIRT. '-plots' is auto-added
-p, --mcflirt-plots
  Create a .pdf with plots of motion parameters
-b BET_OPTS, --bet-options=,BET_OPTS/
  Options for BET. '-m' is auto-added. Default: '-f 0.3' for a safe guess of the brain outline